/*
Theme Name: OceanWP Child
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme example child theme.
Author: Nick
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/*---------------------------------------
GÉNÉRAL
---------------------------------------*/
body, html {
	overflow-x: hidden;
}

a:active, a:focus {
	outline: none !important;
	border: none !important;
}

/*---------------------------------------
HEADER
---------------------------------------*/
#site-header {
    background: #3B210A;
    background: linear-gradient(180deg, rgba(59, 33, 10, 1) 0%, rgba(59, 33, 10, 0) 100%);
}

.menu-contact .text-wrap {
	background-color: #fdfaef;
	color: #391d08;
	border-radius: 100px;
	padding: 6px 20px;
    transition: all .3s ease;
}

.menu-contact:hover .text-wrap {
	background-color: #676d50;
	color: #ffffff;
}

.menu-contact .text-wrap::after {
	display: none !important;
}

.current-menu-item .text-wrap::after {
	visibility: visible !important;
	transform: scaleX(1) !important;
}

.is-sticky #site-header {
	background: rgba(218, 131, 88, 1) !important;
	padding-left: 20px;
	padding-right: 20px;
}

.is-sticky .menu-item .text-wrap {
	transition: all .3s ease;
}

.is-sticky .menu-item:hover .text-wrap {
	color: #391d08;
}

.is-sticky .current-menu-item .text-wrap {
	color: #391d08 !important;
}

.is-sticky .text-wrap::after {
	background-color: #391d08 !important;
}

.is-sticky .menu-contact:hover .text-wrap {
	color: #ffffff !important;
}

.is-sticky .current-menu-ancestor .text-wrap {
	color: #391d08 !important;
}



/*---------------------------------------
WIDGETS
---------------------------------------*/
.cocktail-card .elementor-widget-text-editor, .cocktail-card .elementor-widget-button {
	transform: translateY(300%);
	opacity: 0;
    transition: all .3s ease;
}

.cocktail-card:hover .elementor-widget-text-editor, .cocktail-card:hover .elementor-widget-button {
	transform: translateY(0%);
	opacity: 1;
}

.elementor-flip-box__front, .elementor-flip-box__back {
	border-radius: 100px 0 100px 0;
}

.elementor-flip-box__layer__title::after {
	content: '';
	width: 40px;
	height: 2px;
	background-color: #ffa651;
	display: block;
	margin-top: 20px;
}

.elementor-flip-box__front::before {
	content: '';
	width: 100%;
	height: 100%;
	background-color: red;
	position: absolute;
	z-index: -1;
	border-radius: 100px 0 100px 0;
	background: #DA8358;
	background: linear-gradient(180deg, rgba(218, 131, 88, 1) 0%, rgba(218, 131, 88, 0) 100%);
}

.elementor-flip-box__back {
	background-size: cover;
	background-position: center center;
}



/*---------------------------------------
RWD
---------------------------------------*/
@media screen and (max-width: 1024px) {
	.cocktail-card .elementor-widget-text-editor, .cocktail-card .elementor-widget-button {
        transform: translateY(0%);
        opacity: 1;
    }

    .elementor-location-footer .menu-item a {
	text-align: center !important;
    display: block;
    }
}

@media screen and (max-width: 767px) {
	.oceanwp-mobile-menu-icon a.mobile-menu .oceanwp-text {
        display: none;
    }

    #site-logo #site-logo-inner a img {
        max-height: 30px !important;
    }
}





